Skip to main content
GET
/
standings
League Standings
curl --request GET \
  --url https://v1.basketball.sportsapipro.com/standings \
  --header 'x-api-key: <api-key>'
{
  "standings": [
    {
      "competitor": {
        "id": 123,
        "name": "<string>",
        "score": 123,
        "imageUrl": "<string>"
      },
      "position": 123,
      "wins": 123,
      "losses": 123,
      "winPercentage": 123,
      "gamesBack": 123,
      "streak": "<string>",
      "conference": "<string>",
      "division": "<string>"
    }
  ]
}

Overview

Returns current standings for a basketball competition, including wins, losses, win percentage, and conference/division standings where applicable.

Query Parameters

competitions
integer
required
Competition ID (e.g., 132 for NBA)
season
string
Season identifier (defaults to current season)

Code Examples

curl -X GET "https://v1.basketball.sportsapipro.com/standings?competitions=132" \
  -H "x-api-key: YOUR_API_KEY"

Response Structure

standings
array
Array of team standings

NBA Standings Example

{
  "standings": [
    {
      "competitor": {
        "id": 678,
        "name": "Boston Celtics",
        "imageUrl": "..."
      },
      "position": 1,
      "wins": 45,
      "losses": 12,
      "winPercentage": 0.789,
      "gamesBack": 0,
      "streak": "W5",
      "lastTen": "8-2",
      "conference": "Eastern",
      "division": "Atlantic"
    }
  ]
}

Key Competition IDs

CompetitionID
NBA132
WNBA2004
EuroLeague138
Spanish ACB149
NCAA Men’s2065

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Query Parameters

competitions
integer
required

Competition ID (e.g., 132 for NBA)

Example:

132

season
string

Season identifier (defaults to current)

Response

200 - application/json

Standings retrieved successfully

standings
object[]